function [ mioeps,epsneg] = precm(~)
%precm calcolo della precisione di macchina
%   output: mioeps  precisione di macchina
% utilizzo
%     mioeps  = precm
%     epsneg  il piu' piccolo numero tale che 
%          1-epsneg ~= 1 
mioeps = 1;
while (1 + mioeps ~= 1 )
    mioeps = mioeps/2;
end
mioeps = mioeps*2;

epsneg = 1;
while (1 - epsneg ~= 1 )
    epsneg = epsneg/2;
end
epsneg = epsneg*2;



end

